/* This file is part of libccc
 *
 * AUTHORS
 *     Sven Herzberg  <herzi@gnome-de.org>
 *
 * Copyright (C) 2007  Sven Herzberg
 *
 * This work is provided "as is"; redistribution and modification
 * in whole or in part, in any medium, physical or electronic is
 * permitted without restriction.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * In no event shall the authors or contributors be liable for any
 * direct, indirect, incidental, special, exemplary, or consequential
 * damages (including, but not limited to, procurement of substitute
 * goods or services; loss of use, data, or profits; or business
 * interruption) however caused and on any theory of liability, whether
 * in contract, strict liability, or tort (including negligence or
 * otherwise) arising in any way out of the use of this software, even
 * if advised of the possibility of such damage.
 */

#include "s-mock-view.h"
#include "s-mock-logger.h"

#include <gtk/gtkmain.h>

int
main(int argc, char** argv)
{
	SRunner* r;

	gtk_init (&argc, &argv);

	r = srunner_create (suite_mock_logger ());
	srunner_add_suite (r, suite_mock_view ());
	// FIXME: unexpected behavior if not set
	srunner_set_fork_status(r, CK_NOFORK);
	srunner_run_all (r, CK_NORMAL);
	srunner_free (r);
	return 0;
}

